/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#include <private/qmlaccelerometer_p.h>
#include <private/qmlambientlightsensor_p.h>
#include <private/qmlambienttemperaturesensor_p.h>
#include <private/qmlcompass_p.h>
#include <private/qmlgyroscope_p.h>
#include <private/qmlhumiditysensor_p.h>
#include <private/qmlirproximitysensor_p.h>
#include <private/qmllidsensor_p.h>
#include <private/qmllightsensor_p.h>
#include <private/qmlmagnetometer_p.h>
#include <private/qmlorientationsensor_p.h>
#include <private/qmlpressuresensor_p.h>
#include <private/qmlproximitysensor_p.h>
#include <private/qmlrotationsensor_p.h>
#include <private/qmlsensor_p.h>
#include <private/qmlsensorglobal_p.h>
#include <private/qmlsensorrange_p.h>
#include <private/qmltapsensor_p.h>
#include <private/qmltiltsensor_p.h>

#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif

Q_QMLTYPE_EXPORT void qml_register_types_QtSensors()
{
    qmlRegisterModule("QtSensors", 6, 0);
    qmlRegisterTypesAndRevisions<QmlAccelerometer>("QtSensors", 6);
    qmlRegisterTypesAndRevisions<QmlAccelerometerReading>("QtSensors", 6);
    qmlRegisterTypesAndRevisions<QmlAmbientLightSensor>("QtSensors", 6);
    qmlRegisterTypesAndRevisions<QmlAmbientLightSensorReading>("QtSensors", 6);
    qmlRegisterTypesAndRevisions<QmlAmbientTemperatureReading>("QtSensors", 6);
    qmlRegisterTypesAndRevisions<QmlAmbientTemperatureSensor>("QtSensors", 6);
    qmlRegisterTypesAndRevisions<QmlCompass>("QtSensors", 6);
    qmlRegisterTypesAndRevisions<QmlCompassReading>("QtSensors", 6);
    qmlRegisterTypesAndRevisions<QmlGyroscope>("QtSensors", 6);
    qmlRegisterTypesAndRevisions<QmlGyroscopeReading>("QtSensors", 6);
    qmlRegisterTypesAndRevisions<QmlHumidityReading>("QtSensors", 6);
    qmlRegisterTypesAndRevisions<QmlHumiditySensor>("QtSensors", 6);
    qmlRegisterTypesAndRevisions<QmlIRProximitySensor>("QtSensors", 6);
    qmlRegisterTypesAndRevisions<QmlIRProximitySensorReading>("QtSensors", 6);
    qmlRegisterTypesAndRevisions<QmlLidReading>("QtSensors", 6);
    qmlRegisterTypesAndRevisions<QmlLidSensor>("QtSensors", 6);
    qmlRegisterTypesAndRevisions<QmlLightSensor>("QtSensors", 6);
    qmlRegisterTypesAndRevisions<QmlLightSensorReading>("QtSensors", 6);
    qmlRegisterTypesAndRevisions<QmlMagnetometer>("QtSensors", 6);
    qmlRegisterTypesAndRevisions<QmlMagnetometerReading>("QtSensors", 6);
    qmlRegisterTypesAndRevisions<QmlOrientationSensor>("QtSensors", 6);
    qmlRegisterTypesAndRevisions<QmlOrientationSensorReading>("QtSensors", 6);
    qmlRegisterTypesAndRevisions<QmlPressureReading>("QtSensors", 6);
    qmlRegisterTypesAndRevisions<QmlPressureSensor>("QtSensors", 6);
    qmlRegisterTypesAndRevisions<QmlProximitySensor>("QtSensors", 6);
    qmlRegisterTypesAndRevisions<QmlProximitySensorReading>("QtSensors", 6);
    qmlRegisterTypesAndRevisions<QmlRotationSensor>("QtSensors", 6);
    qmlRegisterTypesAndRevisions<QmlRotationSensorReading>("QtSensors", 6);
    qmlRegisterTypesAndRevisions<QmlSensor>("QtSensors", 6);
    qmlRegisterTypesAndRevisions<QmlSensorGlobal>("QtSensors", 6);
    qmlRegisterTypesAndRevisions<QmlSensorOutputRange>("QtSensors", 6);
    qmlRegisterTypesAndRevisions<QmlSensorRange>("QtSensors", 6);
    qmlRegisterTypesAndRevisions<QmlSensorReading>("QtSensors", 6);
    qmlRegisterTypesAndRevisions<QmlTapSensor>("QtSensors", 6);
    qmlRegisterTypesAndRevisions<QmlTapSensorReading>("QtSensors", 6);
    qmlRegisterTypesAndRevisions<QmlTiltSensor>("QtSensors", 6);
    qmlRegisterTypesAndRevisions<QmlTiltSensorReading>("QtSensors", 6);
    qmlRegisterModule("QtSensors", 6, 4);
}

static const QQmlModuleRegistration registration("QtSensors", qml_register_types_QtSensors);
